Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.ejb.plugins.cmp.jdbc.bridge
Class JDBCLongVersionFieldBridge

    java.lang.Object
      org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCAbstractCMPFieldBridge
          org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xFieldBridge
              org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xAutoUpdatedFieldBridge
                  org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xVersionFieldBridge
                      org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCLongVersionFieldBridge

All Implemented Interfaces:
  CMPFieldBridge, FieldBridge, JDBCCMPFieldBridge, JDBCFieldBridge

public class JDBCLongVersionFieldBridge
extends JDBCCMP2xVersionFieldBridge

Author:
  Alexey Loubyansky

Field Summary

Fields inherited from class org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCAbstractCMPFieldBridge
`checkDirtyAfterGet, defaultFlags, fieldName, jdbcContextIndex, log, manager, primaryKeyMember, readOnly, readTimeOut, stateFactory, tableIndex`

Constructor Summary
`JDBCLongVersionFieldBridge(JDBCCMP2xFieldBridge cmpField)`
`JDBCLongVersionFieldBridge(JDBCStoreManager manager, JDBCCMPFieldMetaData metadata)`

Method Summary
`void` | `setFirstVersion(EntityEnterpriseContext ctx)`
`Object` | `updateVersion(EntityEnterpriseContext ctx)`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xAutoUpdatedFieldBridge
`initInstance, setInstanceParameters`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCCMP2xFieldBridge
`getCmpFieldIAmMappedTo, getCmrChainLink, getColumnName, getInstanceValue, getLockedValue, isDirty, isFKFieldMappedToCMPField, isLoaded, isReadTimedOut, lockInstanceValue, resetPersistenceContext, setClean, setDirtyAfterGet, setInstanceValue, updateState`

Methods inherited from class org.jboss.ejb.plugins.cmp.jdbc.bridge.JDBCAbstractCMPFieldBridge
`addDefaultFlag, getDefaultFlags, getFieldIndex, getFieldName, getFieldType, getJDBCType, getManager, getPrimaryKeyClass, getPrimaryKeyField, getPrimaryKeyValue, getReadTimeOut, getTableIndex, getValue, isCMPField, isPrimaryKeyMember, isReadOnly, isRelationTableField, loadArgumentResults, loadInstanceResults, loadPrimaryKeyResults, setArgumentParameters, setLockingStrategy, setPrimaryKeyParameters, setPrimaryKeyValue, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JDBCLongVersionFieldBridge

    public JDBCLongVersionFieldBridge(JDBCStoreManager manager,
                                      JDBCCMPFieldMetaData metadata)
                               throws org.jboss.deployment.DeploymentException

### JDBCLongVersionFieldBridge

    public JDBCLongVersionFieldBridge(JDBCCMP2xFieldBridge cmpField)
                               throws org.jboss.deployment.DeploymentException

Method Detail

### setFirstVersion

    public void setFirstVersion(EntityEnterpriseContext ctx)

  Specified by:
    `setFirstVersion` in class `JDBCCMP2xAutoUpdatedFieldBridge`

### updateVersion

    public Object updateVersion(EntityEnterpriseContext ctx)

  Specified by:
    `updateVersion` in class `JDBCCMP2xAutoUpdatedFieldBridge`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.